Robotsystem of the Robot Group Leipzig: Base Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Base Class Reference

`#include <base.h>`

Inherited by Simulation.

Inheritance diagram for Base:

[legend]
Collaboration diagram for Base:

[legend]
List of all members.

## Public Member Functions
| Base (const char *caption=0)
virtual osg::Group * | makeScene ()
virtual osg::Node * | makeSky ()
virtual osg::Node * | makeGround ()
virtual osg::Node * | createHUD ()
virtual osg::LightSource * | makeLights (osg::StateSet *stateset)
virtual osg::Group * | createShadowedScene (osg::Node *shadowed, osg::Vec3 posOfLight, unsigned int unit)
virtual osg::Group * | createShadowedScene (osg::Node *sceneToShadow)
| Shadow types: 1 - ShadowVolume 2 - ShadowTextue 3 - ParallelSplitShadowMap 4 - SoftShadowMap 5 - ShadowMap.
virtual void | setCaption (const char *caption)
virtual void | addGraphicsCallbackable (Callbackable *callbackable)
| adds an Callbackable object for getting a callback every step.
virtual void | addPhysicsCallbackable (Callbackable *callbackable)
virtual HUDStatisticsManager * | getHUDSM ()
virtual | ~Base ()
## Static Public Member Functions
static int | contains (char **list, int len, const char *str)
| returns the index+1 if the list contains the given string or 0 if not
## Protected Member Functions
virtual void | setTimeStats (double time, double realtimefactor, double truerealtimefactor, bool pause)
## Protected Attributes
dGeomID | ground
OsgHandle | osgHandle
OdeHandle | odeHandle
const char * | caption
osg::Group * | root
osg::Node * | hud
osgText::Text * | timestats
osgText::Text * | statisticLine
HUDStatisticsManager * | hUDStatisticsManager
| this manager provides methods for displaying statistics on the graphical window!
std::list< Callbackable * > | graphicsCallbackables
std::vector< Callbackable * > | physicsCallbackables
int | ReceivesShadowTraversalMask
int | CastsShadowTraversalMask
double | shadow
double | shadowTexSize
double | useNVidia

## Constructor & Destructor Documentation

Base | ( | const char * | caption = `0` | ) |

~Base | ( |  | ) | `[virtual]`

## Member Function Documentation

void addGraphicsCallbackable | ( | Callbackable * | callbackable | ) | `[virtual]`

adds an Callbackable object for getting a callback every step.

note that the object are not called back in this class. This must be done in the deduced class (here: Simulation).

void addPhysicsCallbackable | ( | Callbackable * | callbackable | ) | `[virtual]`

int contains | ( | char ** | list,
|  | int | len,
|  | const char * | str |
| ) |  |  | `[static]`

returns the index+1 if the list contains the given string or 0 if not

osg::Node * createHUD | ( |  | ) | `[virtual]`

osg::Group * createShadowedScene | ( | osg::Node * | sceneToShadow | ) | `[virtual]`

Shadow types: 1 - ShadowVolume 2 - ShadowTextue 3 - ParallelSplitShadowMap 4 - SoftShadowMap 5 - ShadowMap.

ShadowVolume

ShadowTexture

ParallelSplitShadowMap

SoftShadowMap

ShadowMap

osg::Group * createShadowedScene | ( | osg::Node * | shadowed,
|  | osg::Vec3 | posOfLight,
|  | unsigned int | unit |
| ) |  |  | `[virtual]`

virtual HUDStatisticsManager* getHUDSM | ( |  | ) | `[inline, virtual]`

Node * makeGround | ( |  | ) | `[virtual]`

osg::LightSource * makeLights | ( | osg::StateSet * | stateset | ) | `[virtual]`

Group * makeScene | ( |  | ) | `[virtual]`

Node * makeSky | ( |  | ) | `[virtual]`

virtual void setCaption | ( | const char * | caption | ) | `[inline, virtual]`

void setTimeStats | ( | double | time,
|  | double | realtimefactor,
|  | double | truerealtimefactor,
|  | bool | pause |
| ) |  |  | `[protected, virtual]`

## Member Data Documentation

const char* caption`[protected]`

int CastsShadowTraversalMask`[protected]`

std::list<Callbackable*> graphicsCallbackables`[protected]`

dGeomID ground`[protected]`

osg::Node* hud`[protected]`

HUDStatisticsManager* hUDStatisticsManager`[protected]`

this manager provides methods for displaying statistics on the graphical window!

OdeHandle odeHandle`[protected]`

OsgHandle osgHandle`[protected]`

std::vector<Callbackable*> physicsCallbackables`[protected]`

int ReceivesShadowTraversalMask`[protected]`

osg::Group* root`[protected]`

double shadow`[protected]`

double shadowTexSize`[protected]`

osgText::Text* statisticLine`[protected]`

osgText::Text* timestats`[protected]`

double useNVidia`[protected]`

The documentation for this class was generated from the following files:

- base.h
- base.cpp